{
  "annotations": {
    "changelogDate": "20251210161123"
  },
  "applications": ["*"],
  "dto": "mapstruct",
  "fields": [
    {
      "fieldName": "tipoCanale",
      "fieldType": "TipoCanaleNotifica",
      "fieldValues": "EMAIL,WHATSAPP,SISTEMA"
    },
    {
      "fieldName": "tipoEvento",
      "fieldType": "TipoEventoNotifica",
      "fieldValues": "RICHIESTA_CREATA,PRENOTAZIONE_CONFERMATA,PRENOTAZIONE_RIFIUTATA,REMINDER,ANNULLAMENTO"
    },
    {
      "fieldName": "messaggio",
      "fieldType": "String"
    },
    {
      "fieldName": "inviata",
      "fieldType": "Boolean"
    },
    {
      "fieldName": "inviataAt",
      "fieldType": "Instant"
    },
    {
      "fieldName": "errore",
      "fieldType": "String"
    },
    {
      "fieldName": "createdAt",
      "fieldType": "Instant"
    }
  ],
  "jpaMetamodelFiltering": true,
  "name": "Notifica",
  "pagination": "pagination",
  "relationships": [
    {
      "relationshipSide": "left",
      "relationshipType": "many-to-one",
      "otherEntityName": "conferma",
      "relationshipName": "conferma"
    }
  ],
  "searchEngine": "no",
  "service": "serviceImpl"
}
